VirtualBox Main API

Public Attributes | List of all members
IVRDEServerInfo Interface Reference

Contains information about the remote desktop (VRDE) server capabilities and status. More...

Inheritance diagram for IVRDEServerInfo:

## Public Attributes
readonly attribute boolean | active
| Whether the remote desktop connection is active.
readonly attribute long | port
| VRDE server port number.
readonly attribute unsigned long | numberOfClients
| How many times a client connected.
readonly attribute long long | beginTime
| When the last connection was established, in milliseconds since 1970-01-01 UTC.
readonly attribute long long | endTime
| When the last connection was terminated or the current time, if connection is still active, in milliseconds since 1970-01-01 UTC.
readonly attribute long long | bytesSent
| How many bytes were sent in last or current, if still active, connection.
readonly attribute long long | bytesSentTotal
| How many bytes were sent in all connections.
readonly attribute long long | bytesReceived
| How many bytes were received in last or current, if still active, connection.
readonly attribute long long | bytesReceivedTotal
| How many bytes were received in all connections.
readonly attribute wstring | user
| Login user name supplied by the client.
readonly attribute wstring | domain
| Login domain name supplied by the client.
readonly attribute wstring | clientName
| The client name supplied by the client.
readonly attribute wstring | clientIP
| The IP address of the client.
readonly attribute unsigned long | clientVersion
| The client software version number.
readonly attribute unsigned long | encryptionStyle
| Public key exchange method used when connection was established.

## Detailed Description

Contains information about the remote desktop (VRDE) server capabilities and status.

This is used in the IConsole::VRDEServerInfo attribute.

Interface ID:
  `{C39EF4D6-7532-45E8-96DA-EB5986AE76E4}`

## Member Data Documentation

## ◆ active

readonly attribute boolean IVRDEServerInfo::active

Whether the remote desktop connection is active.

## ◆ port

readonly attribute long IVRDEServerInfo::port

VRDE server port number.

If this property is equal to `0`, then the VRDE server failed to start, usually because there are no free IP ports to bind to. If this property is equal to `-1`, then the VRDE server has not yet been started.

## ◆ numberOfClients

readonly attribute unsigned long IVRDEServerInfo::numberOfClients

How many times a client connected.

## ◆ beginTime

readonly attribute long long IVRDEServerInfo::beginTime

When the last connection was established, in milliseconds since 1970-01-01 UTC.

## ◆ endTime

readonly attribute long long IVRDEServerInfo::endTime

When the last connection was terminated or the current time, if connection is still active, in milliseconds since 1970-01-01 UTC.

## ◆ bytesSent

readonly attribute long long IVRDEServerInfo::bytesSent

How many bytes were sent in last or current, if still active, connection.

## ◆ bytesSentTotal

readonly attribute long long IVRDEServerInfo::bytesSentTotal

How many bytes were sent in all connections.

## ◆ bytesReceived

readonly attribute long long IVRDEServerInfo::bytesReceived

How many bytes were received in last or current, if still active, connection.

## ◆ bytesReceivedTotal

readonly attribute long long IVRDEServerInfo::bytesReceivedTotal

How many bytes were received in all connections.

## ◆ user

readonly attribute wstring IVRDEServerInfo::user

Login user name supplied by the client.

## ◆ domain

readonly attribute wstring IVRDEServerInfo::domain

Login domain name supplied by the client.

## ◆ clientName

readonly attribute wstring IVRDEServerInfo::clientName

The client name supplied by the client.

## ◆ clientIP

readonly attribute wstring IVRDEServerInfo::clientIP

The IP address of the client.

## ◆ clientVersion

readonly attribute unsigned long IVRDEServerInfo::clientVersion

The client software version number.

## ◆ encryptionStyle

readonly attribute unsigned long IVRDEServerInfo::encryptionStyle

Public key exchange method used when connection was established.

Values: 0 - RDP4 public key exchange scheme. 1 - X509 certificates were sent to client.